Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.view
Class ModelScapeView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  EditPartFactoryScapeView, GraphView

    public abstract class ModelScapeView

extends DefaultScapeListener
implements org.eclipse.core.runtime.IAdaptable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, scape`

Constructor Summary
`ModelScapeView(java.lang.String primaryID)`
`ModelScapeView(java.lang.String primaryID, java.lang.String secondaryID, java.lang.String name)`

Method Summary
`ModelInput` | `createInput()`
`java.lang.Object` | `getAdapter(java.lang.Class key)`
`IModel` | `getModel()`
`java.lang.String` | `getName()` Returns a name for the view as defined by set name.
`void` | `scapeAdded(ScapeEvent scapeEvent)` Add the view to the scape, registering it as a listener, and ensuring that it hasn't been added to any other scapes.
`java.lang.String` | `toString()` Returns a short description of this view.

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelScapeView

    public ModelScapeView(java.lang.String primaryID,
                          java.lang.String secondaryID,
                          java.lang.String name)

### ModelScapeView

    public ModelScapeView(java.lang.String primaryID)

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### createInput

    public ModelInput createInput()

### scapeAdded

    public void scapeAdded(ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Description copied from class: `DefaultScapeListener`
  Add the view to the scape, registering it as a listener, and ensuring that it hasn't been added to any other scapes.

  Specified by:
    `scapeAdded` in interface `ScapeListener`
  Overrides:
    `scapeAdded` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` - the event for this scape to make this view the observer of
  Throws:
    `java.util.TooManyListenersException` - the too many listeners exception

### getModel

    public IModel getModel()

### getName

    public java.lang.String getName()

  Description copied from class: `DefaultScapeListener`
  Returns a name for the view as defined by set name.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `DefaultScapeListener`
  Returns:
    the name

### toString

    public java.lang.String toString()

  Description copied from class: `DefaultScapeListener`
  Returns a short description of this view. Sames as name unless overridden.

  Overrides:
    `toString` in class `DefaultScapeListener`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD